/******************************************************************************
*                                                                             *
*   CL_WIN32.H                                                                *
*   ==========                                                                *
*                                                                             *
*   This file includes definitions needed to compile and link a library as    *
*   32 bit Windows "dynamic link library" (dll).                              *
*                                                                             *
*   last change:  14.4.1999                                                   *
*   created by:   Marcus Spranger                                             *
*                                                                             *
******************************************************************************/

#ifndef __CL_WIN32_H__
#define __CL_WIN32_H__    1



#include <windows.h>



int APIENTRY DllMain( HANDLE hdll, DWORD reason, LPVOID reserved )
{
  switch( reason ) {
    case DLL_THREAD_ATTACH:
        /* do thread initialization */
        break;
    case DLL_THREAD_DETACH:
        /* do thread cleanup */
        break;
    case DLL_PROCESS_ATTACH:
        /* do process initialization */
        break;
    case DLL_PROCESS_DETACH:
        /* do process cleanup */
        break;
    default:
        break;
  }
  return( 1 );        /* indicate success */
  /* returning 0 indicates initialization failure */
}



#endif

